Name:           python-edx-lint
Version:        5.5.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        edX-authored pylint checkers

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/openedx/edx-lint
Source:         %{pypi_source edx_lint}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'edx-lint' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-edx-lint
Summary:        %{summary}

%description -n python3-edx-lint %_description


%prep
%autosetup -p1 -n edx_lint-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-edx-lint -f %{pyproject_files}


%changelog
%autochangelog